%def_disable snapshot

%define ver_major 2.80
%define beta %nil
%define _libexecdir %_prefix/libexec
%define _userunitdir %(pkg-config systemd --variable systemduserunitdir)

# Only one TLS or SSL can be enabled
%def_enable tls
%def_disable ssl

%def_enable libproxy
%def_enable gnome_proxy
%def_enable environment_proxy
%def_enable installed_tests
%def_disable check

Name: glib-networking
Version: %ver_major.0
Release: alt1%beta

Summary: Networking support for GIO
Group: System/Libraries
License: LGPL-2.0-or-later
Url: http://www.gnome.org

%if_disabled snapshot
Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version%beta.tar.xz
%else
Source: %name-%version.tar
%endif

%{?_enable_gnome_proxy:Requires: gsettings-desktop-schemas >= 3.2.0}
Requires: ca-certificates

%define glib_ver 2.73.3
%define gnutls_ver 3.7.4
%define p11kit_ver 0.20
%define libproxy_ver 0.4.16

BuildRequires(pre): rpm-macros-meson
BuildRequires: meson libgio-devel >= %glib_ver pkgconfig(systemd)
%{?_enable_ssl:BuildRequires: libssl-devel}
%{?_enable_gnome_proxy:BuildRequires: gsettings-desktop-schemas-devel}
%{?_enable_tls:BuildRequires: libgnutls-devel >= %gnutls_ver libgcrypt-devel}
%{?_enable_pkcs11:BuildRequires: libp11-kit-devel >= %p11kit_ver ca-certificates}
%{?_enable_libproxy:BuildRequires: libproxy-devel >= %libproxy_ver}
%{?_enable_installed_tests:
BuildRequires(pre): rpm-build-python3
%add_python3_path %_libexecdir/installed-tests/%name}

%description
This package contains modules that extend the networking support in GIO.
In particular, it contains a libproxy-based GProxyResolver implementation
and a gnutls-based GTlsConnection implementation.

%package -n glib-openssl
Summary: Network-related giomodule for glib using openssl
Group: System/Libraries

%description -n glib-openssl
This package contains the implementations of certain GLib openssl
features that cannot be implemented directly in GLib itself because of
their dependencies

%package tests
Summary: Tests for the %name package
Group: Development/Other
Requires: %name = %EVR

%description tests
This package provides tests programs that can be used to verify
the functionality of the installed %name package.


%prep
%setup -n %name-%version%beta

%build
%meson \
	%{?_enable_tls:-Dgnutls=enabled} \
	%{?_enable_ssl:-Dopenssl=enabled} \
	%{?_enable_libproxy:-Dlibproxy=enabled} \
	%{?_enable_gnome_proxy:-Dgnome_proxy=enabled} \
	%{?_enable_environment_proxy:-Denvironment_proxy=enabled} \
	%{?_enable_installed_tests:-Dinstalled_tests=true}
%nil
%meson_build

%install
%meson_install
%find_lang %name

%check
%__meson_test

%files -f %name.lang
%{?_enable_tls:%_libdir/gio/modules/libgiognutls.so}
%{?_enable_gnome_proxy:%_libdir/gio/modules/libgiognomeproxy.so}
%{?_enable_environment_proxy:%_libdir/gio/modules/libgioenvironmentproxy.so}
%if_enabled libproxy
%_libdir/gio/modules/libgiolibproxy.so
%_libexecdir/glib-pacrunner
%_datadir/dbus-1/services/org.gtk.GLib.PACRunner.service
%_userunitdir/glib-pacrunner.service
%endif
%doc NEWS README

%if_enabled ssl
%files -n glib-openssl
%_libdir/gio/modules/libgioopenssl.so
%doc NEWS README
%endif

%if_enabled installed_tests
%files tests
%_libexecdir/installed-tests/%name/
%_datadir/installed-tests/%name/
%endif

%changelog
* Fri Mar 15 2024 Yuri N. Sedunov <aris@altlinux.org> 2.80.0-alt1
- 2.80.0

* Sat Mar 09 2024 Yuri N. Sedunov <aris@altlinux.org> 2.80-alt0.9.rc
- 2.80.rc

* Fri Mar 01 2024 Yuri N. Sedunov <aris@altlinux.org> 2.78.1-alt1
- 2.78.1

* Fri Sep 15 2023 Yuri N. Sedunov <aris@altlinux.org> 2.78.0-alt1
- 2.78.0

* Fri Jun 30 2023 Yuri N. Sedunov <aris@altlinux.org> 2.76.1-alt1
- 2.76.1

* Fri Mar 17 2023 Yuri N. Sedunov <aris@altlinux.org> 2.76.0-alt1
- 2.76.0

* Tue Sep 20 2022 Yuri N. Sedunov <aris@altlinux.org> 2.74.0-alt1
- 2.74.0

* Sat Aug 06 2022 Yuri N. Sedunov <aris@altlinux.org> 2.72.2-alt1
- 2.72.2

* Wed Jun 29 2022 Yuri N. Sedunov <aris@altlinux.org> 2.72.1-alt1
- 2.72.1

* Tue Mar 22 2022 Yuri N. Sedunov <aris@altlinux.org> 2.72.0-alt1
- 2.72.0

* Sat Mar 05 2022 Yuri N. Sedunov <aris@altlinux.org> 2.72-alt0.5.beta
- 2.72

* Mon Dec 06 2021 Yuri N. Sedunov <aris@altlinux.org> 2.70.1-alt1
- 2.70.1

* Thu Sep 16 2021 Yuri N. Sedunov <aris@altlinux.org> 2.70.0-alt1
- 2.70.0

* Mon Sep 13 2021 Yuri N. Sedunov <aris@altlinux.org> 2.68.2-alt2
- updated to 2.68.2-2-g9b70e65 (
  tls/gnutls/gtlscertificate-gnutls.c: fixed memory leak)

* Sun Aug 08 2021 Yuri N. Sedunov <aris@altlinux.org> 2.68.2-alt1
- 2.68.2

* Thu Apr 22 2021 Yuri N. Sedunov <aris@altlinux.org> 2.68.1-alt1
- 2.68.1

* Fri Mar 19 2021 Yuri N. Sedunov <aris@altlinux.org> 2.68.0-alt1
- 2.68.0

* Sat Sep 12 2020 Yuri N. Sedunov <aris@altlinux.org> 2.66.0-alt1
- 2.66.0

* Fri May 29 2020 Yuri N. Sedunov <aris@altlinux.org> 2.64.3-alt1
- 2.64.3

* Tue Apr 14 2020 Yuri N. Sedunov <aris@altlinux.org> 2.64.2-alt1
- 2.64.2 (reenable TLS 1.0/1.1 protocols due to COVID-19)

* Sat Mar 28 2020 Yuri N. Sedunov <aris@altlinux.org> 2.64.1-alt1
- 2.64.1

* Fri Mar 06 2020 Yuri N. Sedunov <aris@altlinux.org> 2.64.0-alt1
- 2.64.0

* Sat Jan 04 2020 Yuri N. Sedunov <aris@altlinux.org> 2.62.3-alt1
- 2.62.3

* Tue Dec 10 2019 Yuri N. Sedunov <aris@altlinux.org> 2.62.2-alt1
- 2.62.2

* Sat Oct 05 2019 Yuri N. Sedunov <aris@altlinux.org> 2.62.1-alt1
- 2.62.1

* Sat Sep 07 2019 Yuri N. Sedunov <aris@altlinux.org> 2.62.0-alt1
- 2.62.0

* Sun Jun 09 2019 Yuri N. Sedunov <aris@altlinux.org> 2.60.3-alt1
- 2.60.3

* Thu May 02 2019 Yuri N. Sedunov <aris@altlinux.org> 2.60.2-alt1
- 2.60.2

* Tue Apr 02 2019 Yuri N. Sedunov <aris@altlinux.org> 2.60.1-alt1
- 2.60.1

* Wed Mar 13 2019 Yuri N. Sedunov <aris@altlinux.org> 2.60.0.1-alt1
- 2.60.0.1

* Mon Sep 03 2018 Yuri N. Sedunov <aris@altlinux.org> 2.58.0-alt1
- 2.58.0

* Tue May 22 2018 Yuri N. Sedunov <aris@altlinux.org> 2.56.1-alt1
- 2.56.1

* Sat Mar 10 2018 Yuri N. Sedunov <aris@altlinux.org> 2.56.0-alt1
- 2.56.0

* Fri Oct 27 2017 Yuri N. Sedunov <aris@altlinux.org> 2.54.1-alt1
- 2.54.1

* Tue Sep 12 2017 Yuri N. Sedunov <aris@altlinux.org> 2.54.0-alt1
- 2.54.0

* Fri Jul 28 2017 Yuri N. Sedunov <aris@altlinux.org> 2.50.0-alt2
- updated to 2.50.0-15-gb10e225 (fixed BGO #782218)

* Sat Feb 25 2017 Michael Shigorin <mike@altlinux.org> 2.50.0-alt1.1
- BOOTSTRAP: introduce libproxy knob (on by default)
- E2K: drop -Werror=missing-include-dirs (lcc)

* Mon Sep 19 2016 Yuri N. Sedunov <aris@altlinux.org> 2.50.0-alt1
- 2.50.0

* Mon May 09 2016 Yuri N. Sedunov <aris@altlinux.org> 2.48.2-alt1
- 2.48.2

* Tue Apr 26 2016 Yuri N. Sedunov <aris@altlinux.org> 2.48.1-alt1
- 2.48.1

* Tue Mar 22 2016 Yuri N. Sedunov <aris@altlinux.org> 2.48.0-alt1
- 2.48.0

* Wed Dec 09 2015 Yuri N. Sedunov <aris@altlinux.org> 2.46.1-alt2
- rebuilt against libgnutls.so.30

* Tue Oct 13 2015 Yuri N. Sedunov <aris@altlinux.org> 2.46.1-alt1
- 2.46.1

* Mon Sep 21 2015 Yuri N. Sedunov <aris@altlinux.org> 2.46.0-alt1
- 2.46.0

* Wed Mar 25 2015 Yuri N. Sedunov <aris@altlinux.org> 2.44.0-alt1
- 2.44.0

* Sun Dec 07 2014 Yuri N. Sedunov <aris@altlinux.org> 2.42.1-alt1
- 2.42.1

* Tue Sep 23 2014 Yuri N. Sedunov <aris@altlinux.org> 2.42.0-alt1
- 2.42.0

* Mon Apr 14 2014 Yuri N. Sedunov <aris@altlinux.org> 2.40.1-alt1
- 2.40.1

* Wed Apr 02 2014 Yuri N. Sedunov <aris@altlinux.org> 2.40.0-alt1.1
- updated to fbfd53fcce

* Tue Mar 25 2014 Yuri N. Sedunov <aris@altlinux.org> 2.40.0-alt1
- 2.40.0

* Tue Nov 12 2013 Yuri N. Sedunov <aris@altlinux.org> 2.38.2-alt1
- 2.38.2

* Tue Oct 15 2013 Yuri N. Sedunov <aris@altlinux.org> 2.38.1-alt1
- 2.38.1

* Tue Sep 24 2013 Yuri N. Sedunov <aris@altlinux.org> 2.38.0-alt1
- 2.38.0

* Tue May 14 2013 Yuri N. Sedunov <aris@altlinux.org> 2.36.2-alt1
- 2.36.2

* Tue Apr 16 2013 Yuri N. Sedunov <aris@altlinux.org> 2.36.1-alt1
- 2.36.1

* Mon Mar 25 2013 Yuri N. Sedunov <aris@altlinux.org> 2.36.0-alt1
- 2.36.0

* Tue Nov 13 2012 Yuri N. Sedunov <aris@altlinux.org> 2.34.2-alt1
- 2.34.2

* Mon Sep 24 2012 Yuri N. Sedunov <aris@altlinux.org> 2.34.0-alt1
- 2.34.0

* Tue May 15 2012 Yuri N. Sedunov <aris@altlinux.org> 2.32.3-alt1
- 2.32.3

* Tue Apr 17 2012 Yuri N. Sedunov <aris@altlinux.org> 2.32.1-alt1
- 2.32.1

* Tue Mar 27 2012 Yuri N. Sedunov <aris@altlinux.org> 2.32.0-alt1
- 2.32.0

* Wed Jan 04 2012 Yuri N. Sedunov <aris@altlinux.org> 2.30.2-alt1
- 2.30.2

* Tue Oct 18 2011 Yuri N. Sedunov <aris@altlinux.org> 2.30.1-alt1
- 2.30.1

* Tue Sep 27 2011 Yuri N. Sedunov <aris@altlinux.org> 2.30.0-alt1
- 3.2.0

* Tue May 24 2011 Yuri N. Sedunov <aris@altlinux.org> 2.28.7-alt1
- 2.28.7

* Tue Apr 26 2011 Yuri N. Sedunov <aris@altlinux.org> 2.28.6.1-alt1
- 2.28.6.1

* Tue Apr 26 2011 Yuri N. Sedunov <aris@altlinux.org> 2.28.6-alt1
- 2.28.6

* Tue Mar 22 2011 Yuri N. Sedunov <aris@altlinux.org> 2.28.4-alt1
- 2.28.4

* Tue Mar 08 2011 Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt2
- updated buildrqs

* Tue Feb 22 2011 Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt1
- 2.28.0

* Tue Feb 22 2011 Yuri N. Sedunov <aris@altlinux.org> 2.27.90-alt1
- first build for Sisyphus

